> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mycreditapp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organization

> Get public organization information by its unique identifier.
    #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
    | Guest | Host | Self |
    |-------|------|------|
    | ✅    | ✅   | ✅  |



## OpenAPI

````yaml /content/developer-guide/api-reference/openapi_v1.json get /organizations/{org_id}
openapi: 3.1.0
info:
  title: API - V1
  version: 1.0.0
servers:
  - url: https://api.mycreditapp.ai/v1-beta
security: []
paths:
  /organizations/{org_id}:
    get:
      tags:
        - Organizations
      summary: Get organization
      description: |-
        Get public organization information by its unique identifier.
            #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
            | Guest | Host | Self |
            |-------|------|------|
            | ✅    | ✅   | ✅  |
      operationId: get_organization_organizations__org_id__get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: >-
              Unique identifier of the
              [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
            examples:
              - a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60
            title: Org Id
          description: >-
            Unique identifier of the
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
        - name: Requester-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: |

              The unique identifier of the organization making the request.
              **This ID is used to authorize the requester within the system**.
            examples:
              - 054b4106-174b-46b0-97f8-86d8d7b6f0af
            title: Requester-Organization-Id
          description: |

            The unique identifier of the organization making the request.
            **This ID is used to authorize the requester within the system**.
        - name: Target-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: >

              The unique identifier of the organization that is the target of
              the request.

              The `Target-Organization-ID` may match the
              `Requester-Organization-ID` if the requester accesses their own
              resources.

              If the `Target-Organization-ID` differs from the
              `Requester-Organization-ID`, the requester can access third-party
              resources **if the requester has a connection with the target
              organization and is authorized to perform such actions**.
            examples:
              - 123e4567-e89b-12d3-a456-426614174000
            title: Target-Organization-Id
          description: >

            The unique identifier of the organization that is the target of the
            request.

            The `Target-Organization-ID` may match the
            `Requester-Organization-ID` if the requester accesses their own
            resources.

            If the `Target-Organization-ID` differs from the
            `Requester-Organization-ID`, the requester can access third-party
            resources **if the requester has a connection with the target
            organization and is authorized to perform such actions**.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Organization'
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Unsupported CRUD operation!
                    type: request
                    code: unsupported_crud_operation
              schema:
                $ref: '#/components/schemas/APIError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Token is required!
                    type: token
                    code: token_required
                  - loc: []
                    msg: The token has expired!
                    type: token
                    code: token_expired
                  - loc: []
                    msg: Invalid token!
                    type: token
                    code: invalid_token
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Access denied!
                    type: request
                    code: access_denied
              schema:
                $ref: '#/components/schemas/APIError'
        '404':
          description: Not Found
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Account not found!
                    type: request
                    code: account_not_found
                  - loc: []
                    msg: Organization not found!
                    type: request
                    code: organization_not_found
              schema:
                $ref: '#/components/schemas/APIError'
        '409':
          description: Conflict
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: >-
                      The account is in the process of being deleted! The
                      Account's email can only be reused after its data has been
                      completely deleted. The removal process may take up to 24
                      hours.
                    type: request
                    code: account_being_deleted
                  - loc: []
                    msg: >-
                      The organization is in the process of being deleted! The
                      removal process may take up to 24 hours.
                    type: request
                    code: organization_being_deleted
              schema:
                $ref: '#/components/schemas/APIError'
        '413':
          description: Request Entity Too Large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: The request is too large!
                    type: request
                    code: request_too_large
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc:
                      - string
                      - 0
                    msg: string
                    type: string
                    code: validation_error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Error processing request, please try later!
                    type: try_later
                    code: internal_conflict_error
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Service is under maintenance, please try later!
                    type: maintanance
                    code: service_under_maintenance
      security:
        - Token: []
components:
  schemas:
    Organization:
      properties:
        name:
          type: string
          maxLength: 300
          minLength: 1
          title: Name
          description: Public organization name
          examples:
            - Best Solutions Inc.
            - Tech Innovators LLC
        email:
          type: string
          maxLength: 100
          minLength: 1
          format: email
          title: Email
          description: Valid contact organization email address
          examples:
            - contact@bestsolutions.com
            - info@techinnovators.com
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
          description: Valid contact organization phone number
          examples:
            - '+15551234567'
            - '+15559876543'
        established_date:
          type: string
          format: date
          title: Established Date
          description: Date when the organization was established (**must be in the past**)
          examples:
            - '2001-04-15'
            - '2010-09-30'
        size_id:
          type: string
          format: uuid
          title: Size Id
          description: >-
            Identifier of the organization
            [size](https://docs.mycreditapp.ai/api-reference/resources/get-the-organization-sizes)
          examples:
            - f2686076-5a46-4356-9e82-fee2c926df53
        role_id:
          type: string
          format: uuid
          title: Role Id
          description: >-
            Identifier of the organization
            [role](https://docs.mycreditapp.ai/api-reference/resources/get-the-organization-roles)
          examples:
            - 3b1a5f4e-8c2d-4e6f-9f1d-2c3b4a5e6f70
        naics_code_id:
          type: string
          format: uuid
          title: Naics Code Id
          description: >-
            Identifier of the organization [NAICS
            code](https://docs.mycreditapp.ai/api-reference/resources/get-the-naics-codes)
          examples:
            - 9c1d2e3f-4a5b-6c7d-8e9f-0a1b2c3d4e5f
        address:
          type: string
          maxLength: 500
          minLength: 1
          title: Address
          description: Valid organization's street address
          examples:
            - 123 Main St, Suite 400
            - 456 Elm St, Floor 2
        city:
          type: string
          maxLength: 100
          minLength: 1
          title: City
          description: Valid organization's city
          examples:
            - New York
            - San Francisco
        state:
          type: string
          maxLength: 100
          minLength: 1
          title: State
          description: Valid organization's state or province
          examples:
            - NY
            - CA
        postal_code:
          type: string
          maxLength: 30
          minLength: 1
          title: Postal Code
          description: Valid organization's postal code
          examples:
            - '10001'
            - '94103'
        country_code:
          type: string
          maxLength: 2
          minLength: 2
          title: Country Code
          description: >-
            Valid organization's country
            [code](https://docs.mycreditapp.ai/api-reference/resources/get-the-available-countries)
            in ISO 3166-1 alpha-2
          examples:
            - US
            - CA
        website:
          type: string
          maxLength: 255
          minLength: 1
          format: uri
          title: Website
          description: Valid organization's website URL
          examples:
            - https://www.bestsolutions.com
            - https://www.techinnovators.com
        company_registration_number:
          type: string
          maxLength: 255
          minLength: 1
          title: Company Registration Number
          description: Valid organization's company registration number
          examples:
            - '123456789'
            - '987654321'
        tax_id:
          type: string
          maxLength: 255
          minLength: 1
          title: Tax Id
          description: Valid organization's tax identification number
          examples:
            - 12-3456789
            - 98-7654321
        corporation_type_id:
          type: string
          maxLength: 100
          minLength: 10
          title: Corporation Type Id
          description: >-
            Identifier of the organization's [type of
            corporation](https://docs.mycreditapp.ai/api-reference/resources/get-the-corporation-types)
          examples:
            - a1b2c3d4-e5f6-7g8h-9i0j-k1l2m3n4o5p6
        currency_code:
          type: string
          maxLength: 3
          minLength: 3
          title: Currency Code
          description: >-
            Valid organization's [currency
            code](https://docs.mycreditapp.ai/api-reference/resources/get-the-available-currencies)
            in ISO 4217
          examples:
            - USD
            - CAD
        id:
          type: string
          format: uuid
          title: Id
          description: Unique identifier of the organization
          examples:
            - 209071e4-ff14-4b41-a24a-a25542445b4e
        owner_account_id:
          type: string
          format: uuid
          title: Owner Account Id
          description: Unique identifier of the organization's owner account
          examples:
            - a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60
        status:
          $ref: '#/components/schemas/OrganizationStatus'
          description: Organization status
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Date and time when the organization was created
          examples:
            - '2025-11-11T12:28:54.252825'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: >-
            Date and time of the last update of public information about the
            organization.
          examples:
            - '2025-12-01T09:15:30.123456'
      type: object
      required:
        - name
        - email
        - established_date
        - size_id
        - role_id
        - naics_code_id
        - address
        - city
        - state
        - postal_code
        - country_code
        - website
        - company_registration_number
        - tax_id
        - corporation_type_id
        - currency_code
        - id
        - owner_account_id
        - status
        - created_at
        - updated_at
      title: Organization
    APIError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Detail
          description: >

            List of returned errors.

            **All unsuccessful error codes except code `422` can only contain 1
            element in the list**.
      type: object
      required:
        - detail
      title: APIError
    OrganizationStatus:
      type: string
      enum:
        - active
        - deleted
      title: OrganizationStatus
    ErrorItem:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Loc
          description: |

            Shows the dynamic location of the current error.
            If an empty array is returned, the error is static.
          examples:
            - - body
              - date_field
              - 0
            - - header
              - Authorization
        msg:
          type: string
          title: Msg
          description: |

            A human-readable message providing more details about the error.
          examples:
            - Token is required!
            - Invalid token!
        type:
          type: string
          title: Type
          description: >

            A string indicating the type of error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible type for a specific error**.
          examples:
            - token
            - request
            - try_later
        code:
          type: string
          title: Code
          description: >

            Unique text error code identifying the error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible code for a specific error**.
          examples:
            - token_required
            - invalid_token
            - access_denied
      type: object
      required:
        - loc
        - msg
        - type
        - code
      title: ErrorItem
  securitySchemes:
    Token:
      type: http
      description: >-
        [Bearer
        authentication](/content/developer-guide/introduction/authentication)
        using a JWT token. Provide a valid access token. Authorization header
        format: `Authorization: Bearer <token>`.
      scheme: bearer

````